Bug 197707 - getUserMedia capture changes on iOS after homing out
Summary: getUserMedia capture changes on iOS after homing out
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebRTC (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: youenn fablet
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2019-05-08 13:22 PDT by youenn fablet
Modified: 2019-05-14 12:34 PDT (History)
6 users (show)

See Also:


Attachments
Patch (5.69 KB, patch)
2019-05-13 15:53 PDT, youenn fablet
no flags Details | Formatted Diff | Diff
Patch (5.40 KB, patch)
2019-05-13 16:30 PDT, youenn fablet
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews213 for win-future (13.59 MB, application/zip)
2019-05-14 05:04 PDT, Build Bot
no flags Details
Further cleanup (10.77 KB, patch)
2019-05-14 10:13 PDT, youenn fablet
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews210 for win-future (13.57 MB, application/zip)
2019-05-14 12:01 PDT, Build Bot
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description youenn fablet 2019-05-08 13:22:22 PDT
As per daginge in https://bugs.webkit.org/show_bug.cgi?id=196214
1. Go to https://webrtc.github.io/samples/src/content/getusermedia/gum/
2. Click "open camera"
3. Observe that frame rate is slow
4. Go to the home screen by swiping up
5.Wait at least 2 seconds
6. Open Safari again
7. Observe that the resolution has changed (black borders around the video frame), and the video is now fast again (as fast as native camera app)
Comment 1 youenn fablet 2019-05-08 13:24:53 PDT
Captured frame resolution changes from 640/480 to 1280/720.
The black frames are probably due to our letter box resizing.
Moving to trim would probably get us closer to the initial captured data.

Change of camera configuration is not expected though.
Comment 2 youenn fablet 2019-05-13 15:53:42 PDT
Created attachment 369797 [details]
Patch
Comment 3 youenn fablet 2019-05-13 16:30:45 PDT
Created attachment 369801 [details]
Patch
Comment 4 Build Bot 2019-05-14 05:04:22 PDT
Comment on attachment 369801 [details]
Patch

Attachment 369801 [details] did not pass win-ews (win):
Output: https://webkit-queues.webkit.org/results/12186729

New failing tests:
http/tests/misc/repeat-open-cancel.html
Comment 5 Build Bot 2019-05-14 05:04:24 PDT
Created attachment 369835 [details]
Archive of layout-test-results from ews213 for win-future

The attached test failures were seen while running run-webkit-tests on the win-ews.
Bot: ews213  Port: win-future  Platform: CYGWIN_NT-10.0-17763-3.0.5-338.x86_64-x86_64-64bit
Comment 6 youenn fablet 2019-05-14 10:13:40 PDT
Created attachment 369865 [details]
Further cleanup
Comment 7 Build Bot 2019-05-14 12:01:43 PDT
Comment on attachment 369865 [details]
Further cleanup

Attachment 369865 [details] did not pass win-ews (win):
Output: https://webkit-queues.webkit.org/results/12189826

New failing tests:
js/dom/custom-constructors.html
Comment 8 Build Bot 2019-05-14 12:01:48 PDT
Created attachment 369878 [details]
Archive of layout-test-results from ews210 for win-future

The attached test failures were seen while running run-webkit-tests on the win-ews.
Bot: ews210  Port: win-future  Platform: CYGWIN_NT-10.0-17763-3.0.5-338.x86_64-x86_64-64bit
Comment 9 WebKit Commit Bot 2019-05-14 12:30:26 PDT
Comment on attachment 369865 [details]
Further cleanup

Clearing flags on attachment: 369865

Committed r245296: <https://trac.webkit.org/changeset/245296>
Comment 10 WebKit Commit Bot 2019-05-14 12:30:27 PDT
All reviewed patches have been landed.  Closing bug.
Comment 11 Radar WebKit Bug Importer 2019-05-14 12:34:37 PDT
<rdar://problem/50777791>